Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.features.archive("api_calls");curl -X POST "https://api.priceos.com/v1/features/api_calls/archive" \
-H "x-api-key: PRICEOS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"archived": true
}'{
"feature": {
"id": "feat_123",
"featureKey": "api_calls",
"name": "API Calls",
"description": "Monthly API request limit.",
"type": "limit",
"tracksUsage": true,
"usageResetInterval": "month",
"usageResetAnchor": "calendar",
"isArchived": false,
"archivedAt": null,
"archivedReason": null
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Features
Archive Feature
Archive or unarchive a feature by feature key.
POST
/
v1
/
features
/
{featureKey}
/
archive
Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.features.archive("api_calls");curl -X POST "https://api.priceos.com/v1/features/api_calls/archive" \
-H "x-api-key: PRICEOS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"archived": true
}'{
"feature": {
"id": "feat_123",
"featureKey": "api_calls",
"name": "API Calls",
"description": "Monthly API request limit.",
"type": "limit",
"tracksUsage": true,
"usageResetInterval": "month",
"usageResetAnchor": "calendar",
"isArchived": false,
"archivedAt": null,
"archivedReason": null
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Headers
API key from your PriceOS dashboard.
Path Parameters
Feature key.
Body
application/json
Whether the feature should be archived.
Response
Feature archived
Feature archive result.
Archived feature.
Show child attributes
Show child attributes